com.io7m.smfj.format.binary.v1

## Class SMFBv1CoordinateSystemsByteBuffered

- java.lang.Object
- - com.io7m.smfj.format.binary.v1.SMFBv1CoordinateSystemsByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, SMFBv1CoordinateSystemsReadableType, SMFBv1CoordinateSystemsType, SMFBv1CoordinateSystemsWritableType

      public final class SMFBv1CoordinateSystemsByteBuffered
      extends Object
      implements SMFBv1CoordinateSystemsType

  A `ByteBuffer` based implementation of the `SMFBv1CoordinateSystems` packed type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getForward()`
    `int` | `getRight()`
    `int` | `getUp()`
    `int` | `getWinding()`
    `static SMFBv1CoordinateSystemsType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static SMFBv1CoordinateSystemsType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `set(int right, int up, int forward, int winding)` Set the value of all fields.
    `void` | `setForward(int x)` Set the value of the `forward` field.
    `void` | `setRight(int x)` Set the value of the `right` field.
    `void` | `setUp(int x)` Set the value of the `up` field.
    `void` | `setWinding(int x)` Set the value of the `winding` field.
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static SMFBv1CoordinateSystemsType newValueWithOffset(ByteBuffer in_buffer,
                                                                       com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                                       int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static SMFBv1CoordinateSystemsType newValue(ByteBuffer in_buffer,
                                                             com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### getRight

          public int getRight()

      Specified by:
        `getRight` in interface `SMFBv1CoordinateSystemsReadableType`
      Returns:
        The value of the `right` field

    - #### setRight

          public void setRight(int x)

      Description copied from interface: `SMFBv1CoordinateSystemsWritableType`
      Set the value of the `right` field. The 3 least significant bits of `x` will be used.
      Specified by:
        `setRight` in interface `SMFBv1CoordinateSystemsWritableType`
      Parameters:
        `x` - The new value

    - #### getUp

          public int getUp()

      Specified by:
        `getUp` in interface `SMFBv1CoordinateSystemsReadableType`
      Returns:
        The value of the `up` field

    - #### setUp

          public void setUp(int x)

      Description copied from interface: `SMFBv1CoordinateSystemsWritableType`
      Set the value of the `up` field. The 3 least significant bits of `x` will be used.
      Specified by:
        `setUp` in interface `SMFBv1CoordinateSystemsWritableType`
      Parameters:
        `x` - The new value

    - #### getForward

          public int getForward()

      Specified by:
        `getForward` in interface `SMFBv1CoordinateSystemsReadableType`
      Returns:
        The value of the `forward` field

    - #### setForward

          public void setForward(int x)

      Description copied from interface: `SMFBv1CoordinateSystemsWritableType`
      Set the value of the `forward` field. The 3 least significant bits of `x` will be used.
      Specified by:
        `setForward` in interface `SMFBv1CoordinateSystemsWritableType`
      Parameters:
        `x` - The new value

    - #### getWinding

          public int getWinding()

      Specified by:
        `getWinding` in interface `SMFBv1CoordinateSystemsReadableType`
      Returns:
        The value of the `winding` field

    - #### setWinding

          public void setWinding(int x)

      Description copied from interface: `SMFBv1CoordinateSystemsWritableType`
      Set the value of the `winding` field. The 2 least significant bits of `x` will be used.
      Specified by:
        `setWinding` in interface `SMFBv1CoordinateSystemsWritableType`
      Parameters:
        `x` - The new value

    - #### set

          public void set(int right,
                          int up,
                          int forward,
                          int winding)

      Description copied from interface: `SMFBv1CoordinateSystemsWritableType`
      Set the value of all fields.
      Specified by:
        `set` in interface `SMFBv1CoordinateSystemsWritableType`
      Parameters:
        `right` - The value for field `right`
        `up` - The value for field `up`
        `forward` - The value for field `forward`
        `winding` - The value for field `winding`

Copyright © 2017 <code@io7m.com> http://io7m.com